[NON RISOLVIBILE] Driver per Ati Radeon HD 6310 su stretch

Discussioni relative a Debian e Linux

[NON RISOLVIBILE] Driver per Ati Radeon HD 6310 su stretch

Messaggioda sirio81 » 12/08/2017, 16:12

Ho un portatile Asus K53U con scheda grafica
00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Wrestler [Radeon HD 6310]
Ho installato debian stretch con kde 5.
Credo che i driver open non funzionino bene poichè le finestre sono quasi ingestibili (vngono disegnate in ritatdo, lo scroll flickera etc).
Vorrei installare i driver propietari.
Ho trovato questa guida ma non sembra essere applicabile a debian 9 poiché non trovo fglrx-driver (ho ailitato i repo non-free naturalmente).
Cosa consigliate?
Ultima modifica di sirio81 il 12/08/2017, 22:59, modificato 1 volta in totale.
sirio81
Hero Member
Hero Member
 
Messaggi: 981
Iscritto il: 13/02/2006, 5:04

Re: Driver per Ati Radeon HD 6310 su stretch

Messaggioda sirio81 » 12/08/2017, 22:58

Temo non esistano proprio i driver propietari, nel senso che amd dovrebbe creare una nuova versione del driver per funzionare con Xorg di stretch come letto in fondo a questa discussione.
Cercando sul sito della amd vedo che il driver supporta ubuntu solo fino alla versione 15.04.
In altre parole, questo portatile è diventato inutilizzabile con distro aggiornate di Linux.
PS: ho già installato firmware-amd-graphics altrimenti non andavo oltre la risoluzione 1024x768.
Sempre nella discussione sengalata in precedenza si fa riferimento a xserver-xorg-video-amdgpu che non sembra supportare la mia scheda...
E pensare che questo portatile è ubuntu certified (a suo tempo).
Non mi sarei aspettato di non trovare più i driver della scheda video.
sirio81
Hero Member
Hero Member
 
Messaggi: 981
Iscritto il: 13/02/2006, 5:04

Re: [NON RISOLVIBILE] Driver per Ati Radeon HD 6310 su stret

Messaggioda mark » 13/08/2017, 0:09

pero stando a questa pagina
https://help.ubuntu.com/community/RadeonDriver
la scheda grafica risulta ancora supportata, anzi "Fully supported", prima di gettare la spugna farei una prova con ubuntu per poi ritentare su stretch
Avatar utente
mark
Sr. Member
Sr. Member
 
Messaggi: 486
Iscritto il: 10/01/2007, 16:53

Re: [NON RISOLVIBILE] Driver per Ati Radeon HD 6310 su stret

Messaggioda Spoon » 14/08/2017, 12:24

Secondo questa pagina
https://www.x.org/wiki/RadeonFeature/
il driver libero radeon dovrebber supportare quasi tutte le funzionalità della tua scheda, che fa parte della famiglia Evergreen (a cui appartengono le PALM Wrestler secondo la tabella a fondo pagina). La stessa indicazione la si trova nella descrizione del pacchetto. Forse può valere la pena riprovare, installando il pacchetto xserver-xorg-video-radeon, visto che come riporti il driver amdgpu supporta solo schede recenti mentre fglrx è stato rimosso perchè incompatibile con gli ultimi aggiornamenti del server X.

Ci sono almento due alternative, descritte in questo post
https://unix.stackexchange.com/question ... an-stretch
La prima è installare fglrx 15.5 fornito da AMD, la seconda fare un downgrade del server X alla versione presente su Jessie (andrei cauto con quest'ultima).
Spoon
wiki member
wiki member
 
Messaggi: 281
Iscritto il: 23/11/2013, 14:37

Re: [NON RISOLVIBILE] Driver per Ati Radeon HD 6310 su stret

Messaggioda sirio81 » 14/08/2017, 20:10

Se non erro, il driver radeon era quello in uso da stretch.
Ho provato kubuntu 16.04 live e non riscontro gli stessi problemi che avevo su stretch.
Hanno entrambe xorg 7.7 e xserver-xorg-video-radeon.
Non capisco a questo punto dove stia la differenza.
sirio81
Hero Member
Hero Member
 
Messaggi: 981
Iscritto il: 13/02/2006, 5:04


Torna a Generale

Chi c’è in linea

Visitano il forum: renzo66 e 1 ospite